Bug 7338 - Incorrect selectorText for multiple subselectors
Summary: Incorrect selectorText for multiple subselectors
Status: VERIFIED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-18 08:02 PST by mitz
Modified: 2006-03-01 09:34 PST (History)
1 user (show)

See Also:


Attachments
Testcase (297 bytes, text/html)
2006-02-18 08:02 PST, mitz
no flags Details
Iterate over subselectors (8.16 KB, patch)
2006-02-20 15:16 PST, mitz
no flags Details | Formatted Diff | Diff
A patch that applies (7.70 KB, patch)
2006-02-25 01:28 PST, mitz
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2006-02-18 08:02:01 PST
Summary: selectorText returns an incorrect string if a descendant selector has more than one subselector.

In the attached testcase, "div span.a.b" is serialized as "span.adiv .b".
Comment 1 mitz 2006-02-18 08:02:57 PST
Created attachment 6588 [details]
Testcase
Comment 2 mitz 2006-02-20 15:16:16 PST
Created attachment 6630 [details]
Iterate over subselectors

The change is smaller than it might look (most of it is just extra indentation).
Comment 3 Darin Adler 2006-02-20 16:37:00 PST
Comment on attachment 6630 [details]
Iterate over subselectors

r=me
Comment 4 mitz 2006-02-24 14:55:34 PST
Comment on attachment 6630 [details]
Iterate over subselectors

This patch no longer applies cleanly. I'm going to post an updated version.
Comment 5 mitz 2006-02-25 01:28:58 PST
Created attachment 6724 [details]
A patch that applies

Again, the diff is messy but the change is simple.
Comment 6 Darin Adler 2006-02-25 17:36:51 PST
Comment on attachment 6724 [details]
A patch that applies

r=me again
Comment 7 mitz 2006-03-01 09:34:06 PST
Verified in r13060 nightly